### Method

# Vips Image draw_flood1

#### Declaration [src]

    int
    vips_draw_flood1 (
      VipsImage* image,
      double ink,
      int x,
      int y,
      ...
    )

#### Description [src]

As `vips_draw_flood()`, but just takes a single double for `ink`.

Optional arguments

- `test`: `VipsImage`, test this image
- `equal`: `gboolean`, fill while equal to edge
- `left`: `gint`, output, left edge of bounding box of modified area
- `top`: `gint`, output, top edge of bounding box of modified area
- `width`: `gint`, output, width of bounding box of modified area
- `height`: `gint`, output, height of bounding box of modified area

See also

`vips_draw_flood()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: `double`

  Value to draw.

`x`

  Type: `int`

  Centre of circle.

`y`

  Type: `int`

  Centre of circle.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.